summaryrefslogtreecommitdiffstats
path: root/bin/isolated-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/isolated-functions.sh')
-rw-r--r--bin/isolated-functions.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 3d3b93741..03cba8143 100644
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -3,6 +3,10 @@
# $Header$
# Internal logging function, don't use this in ebuilds
+vecho() {
+ [[ ${PORTAGE_QUIET} == "1" ]] || echo ${@}
+}
+
elog_base() {
local messagetype
[ -z "${1}" -o -z "${T}" -o ! -d "${T}/logging" ] && return 1
@@ -12,7 +16,7 @@ elog_base() {
shift
;;
*)
- echo -e " ${BAD}*${NORMAL} Invalid use of internal function elog_base(), next message will not be logged"
+ vecho -e " ${BAD}*${NORMAL} Invalid use of internal function elog_base(), next message will not be logged"
return 1
;;
esac